# 🔗 Links & Resources

Welcome to the Swarms ecosystem. Click any tile below to explore our products, community, documentation, and social platforms.

---

<style>
.resource-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));
  gap: 1rem;
  margin-top: 1.5rem;
}

.resource-card {
  display: block;
  padding: 1.2rem;
  border-radius: 12px;
  background: #000000;
  color: #ff0000;
  text-decoration: none;
  text-align: center;
  font-weight: 600;
  transition: transform 0.2s ease, background 0.3s ease;
  box-shadow: 0 4px 20px rgba(0,0,0,0.2);
}

.resource-card:hover {
  transform: translateY(-4px);
  background: #1a0000;
}
</style>

<div class="resource-grid">

<a class="resource-card" href="https://swarms.world/platform/chat" target="_blank">🗣️ Swarms Chat</a>

<a class="resource-card" href="https://swarms.world" target="_blank">🛍️ Swarms Marketplace</a>

<a class="resource-card" href="https://docs.swarms.world/en/latest/swarms_cloud/swarms_api/" target="_blank">📚 Swarms API Docs</a>

<a class="resource-card" href="https://www.swarms.xyz/programs/startups" target="_blank">🚀 Swarms Startup Program</a>

<a class="resource-card" href="https://github.com/kyegomez/swarms" target="_blank">💻 GitHub: Swarms (Python)</a>

<a class="resource-card" href="https://github.com/The-Swarm-Corporation/swarms-rs" target="_blank">🦀 GitHub: Swarms (Rust)</a>

<a class="resource-card" href="https://discord.gg/jM3Z6M9uMq" target="_blank">💬 Join Our Discord</a>

<a class="resource-card" href="https://t.me/swarmsgroupchat" target="_blank">📱 Telegram Group</a>

<a class="resource-card" href="https://x.com/swarms_corp" target="_blank">🐦 Twitter / X</a>

<a class="resource-card" href="https://medium.com/@kyeg" target="_blank">✍️ Swarms Blog on Medium</a>

</div>

---

## 💡 Quick Summary

| Category     | Link                                                                 |
|--------------|----------------------------------------------------------------------|
| API Docs     | [docs.swarms.world](https://docs.swarms.world/en/latest/swarms_cloud/swarms_api/) |
| GitHub       | [kyegomez/swarms](https://github.com/kyegomez/swarms)               |
| GitHub (Rust)| [The-Swarm-Corporation/swarms-rs](https://github.com/The-Swarm-Corporation/swarms-rs) |
| Chat UI      | [swarms.world/platform/chat](https://swarms.world/platform/chat)     |
| Marketplace  | [swarms.world](https://swarms.world)                                 |
| Startup App  | [Apply Here](https://www.swarms.xyz/programs/startups)               |
| Discord      | [Join Now](https://discord.gg/jM3Z6M9uMq)                            |
| Telegram     | [Group Chat](https://t.me/swarmsgroupchat)                           |
| Twitter/X    | [@swarms_corp](https://x.com/swarms_corp)                            |
| Blog         | [medium.com/@kyeg](https://medium.com/@kyeg)                         |

---

> 🐝 Swarms is building the agentic internet. Join the movement and build the future with us.
