# Swarms Products

Welcome to the official documentation for **Swarms**, the first multi-agent orchestration framework enabling seamless collaboration between LLMs and other tools to automate business operations at scale. Below, you’ll find detailed descriptions of all Swarms products and services to help you get started and unlock the full potential of this groundbreaking platform.



| **Name**              | **Description**                                                                                                   | **Link**                  |
|-----------------------|-------------------------------------------------------------------------------------------------------------------|---------------------------|
| **Swarms Marketplace** | A platform to discover, share, and integrate prompts, agents, and tools.                                         | [swarms.world](https://swarms.world) |
| **Swarms Spreadsheet** | A tool for managing and scaling thousands of agent outputs, with results saved to a CSV file for easy analysis.  | [swarms.world](https://swarms.world) |
| **Drag n Drop Swarm**  | An intuitive interface to visually create and manage swarms of agents through drag-and-drop functionality.       | [swarms.world](https://swarms.world) |
| **Swarms API**         | An API enabling seamless integration of swarms of agents into your applications and workflows.                   | [swarms.world](https://swarms.world) |
| **Wallet API**         | A secure API for managing transactions and interactions within the Swarms ecosystem.                             | Coming Soon               |
| **Swarm Exchange**     | A marketplace for buying and selling prompts, agents, and tools within the Swarms ecosystem.                    | Coming Soon               |



---

## Swarms Marketplace
**Website:** [swarms.world](https://swarms.world)

The Swarms Marketplace is your one-stop destination for discovering, adding, and managing:

- **Prompts:** Access and share production-ready prompts for LLMs.

- **Agents:** Browse pre-built agents tailored for tasks in marketing, finance, 
programming, and more.
- **Tools:** Discover cutting-edge tools to enhance agent performance and expand 
capabilities.

### Key Features:
- **Rating System:** Evaluate and rate prompts, agents, and tools based on their 
effectiveness.
- **Commenting System:** Share feedback and insights with the Swarms community.

- **Coming Soon:** Buy and sell prompts, agents, and tools directly within the 
marketplace.

### How to Use:
1. Sign up at [swarms.world](https://swarms.world).
2. Explore the marketplace categories or search for specific solutions.
3. Add your chosen resources to your Swarms account and integrate them into your operations.

---

## Swarms Spreadsheet
**Website:** [swarms.world](https://swarms.world)

The Swarms Spreadsheet is a powerful tool for managing outputs from thousands of agents efficiently. Ideal for businesses needing scalable solutions, it provides:

### Key Features:
- **Batch Task Execution:** Assign tasks to multiple agents simultaneously.

- **CSV Integration:** Automatically save agent outputs to CSV files for easy analysis.

- **Customizable Agents:** Upload single or multiple agents and run repeat tasks with 
ease.
- **Metadata Capture:** Leverage built-in Pydantic schemas to record all task details 
and results.

### Use Cases:
- **Marketing:** Generate and analyze campaign ideas at scale.

- **Finance:** Process financial models and scenarios quickly.

- **Operations:** Automate repetitive tasks across multiple domains.


### How to Use:
1. Visit [swarms.world](https://swarms.world) and navigate to Swarms Spreadsheet.
2. Upload your agents or create new ones.
3. Run tasks and export results to a CSV file for further use.

---

## Drag-n-Drop Swarm
**Website:** [swarms.world](https://swarms.world)

The Drag-n-Drop Swarm enables non-technical users to create and deploy agent workflows with a simple drag-and-drop interface. It’s perfect for:

### Key Features:
- **Visual Workflow Builder:** Design agent interactions without writing code.

- **Pre-Built Templates:** Start quickly with ready-made workflows for common tasks.

- **Intuitive Interface:** Drag, drop, and connect agents to create robust automation 
pipelines.

### How to Use:
1. Access the Drag-n-Drop Swarm tool at [swarms.world](https://swarms.world).
2. Drag agents from the library into the workspace.
3. Connect and configure agents to execute your desired workflow.
4. Save and deploy your workflow instantly.

---

## Swarms API
**Website:** [swarms.world](https://swarms.world)

The Swarms API provides developers with the ability to:

### Key Features:
- **Agent Management:** Programmatically create, update, and delete agents.

- **Task Orchestration:** Dynamically assign tasks to agents and monitor their progress.

- **Custom Integration:** Seamlessly integrate Swarms functionality into existing 
applications and workflows.

### Getting Started:
1. Sign up for API access at [swarms.world](https://swarms.world).
2. Obtain your API key and authentication credentials.
3. Refer to the API documentation for endpoint details and usage examples.

---

## Wallet API
The Wallet API enables secure and efficient transactions within the Swarms ecosystem, allowing users to:

### Key Features:
- **Seamless Transactions:** Manage payments for prompts, agents, and tools.

- **Secure Wallets:** Store and transfer funds safely within the Swarms platform.

- **Transaction History:** Access detailed logs of all wallet activity.


### Getting Started:
1. Enable your wallet in your Swarms account settings.
2. Use the Wallet API to handle purchases and manage funds.

---

## Swarm Exchange (Coming Soon)
The **Swarm Exchange** will revolutionize the way agents and tools are traded in the Swarms ecosystem. It will feature:

### Key Features:
- **Decentralized Marketplace:** Trade agents and tools securely.

- **Dynamic Pricing:** Leverage demand-based pricing for assets.

- **Global Access:** Participate in the exchange from anywhere.


Stay tuned for updates on the Swarm Exchange launch.

---

## Additional Resources
- **GitHub Repository:** [Swarms Framework](https://github.com/kyegomez/swarms)

- **Documentation:** [Swarms Documentation](https://docs.swarms.world)

- **Support:** Contact us via our [Discord Community](https://discord.gg/jM3Z6M9uMq).

---

Experience the future of multi-agent collaboration with Swarms. Start building your agentic workflows today!

