# Swarms Cloud Subscription Tiers

!!! abstract "Overview"
    Choose the perfect plan for your agent infrastructure needs. All plans include our core features with additional benefits as you scale up.

## Pricing Plans

### Free Tier

!!! example "Free"
    **$0/year**
    
    Perfect for getting started with AI development.

    [Get Started](https://swarms.world/platform/account){ .md-button .md-button--primary }

    **What's Included:**
    
    - [x] Sign up Bonus!
    
    - [x] Basic Access
    
    - [x] Pay-Per-Use Pricing
    
    - [x] Community Support
    
    - [x] Standard Processing Speed

### Premium Tier

!!! success "Premium"

    **Monthly $100/month**

    **Yearly $1,020/year** (Save 15% on annual billing)
    
    [Subscribe Now](https://swarms.world/platform/account){ .md-button .md-button--primary }

    **Everything in Free, plus:**
    
    - [x] Full Access to Explorer and Agents
    
    - [x] Access to Premium Multi-Modality Models
    
    - [x] Priority Access to Swarms
    
    - [x] High-Performance Infrastructure
    
    - [x] Exclusive Webinars and Tutorials
    
    - [x] Priority Support
    
    - [x] Enhanced Security Features
    
    - [x] Early Access to New Models and Features

### Enterprise Tier

!!! tip "Enterprise"
    **Contact for more Information**
    
    [Book a Call](https://cal.com/swarms){ .md-button .md-button--primary }

    **Everything in Premium, plus:**
    
    - [x] High-Performance Infrastructure
    
    - [x] Batch API
    
    - [x] Early Access to New Swarms
    
    - [x] Dedicated 24/7 Support
    
    - [x] Custom Solutions Engineering
    
    - [x] Advanced Security Features
    
    - [x] Onsite Training and Onboarding
    
    - [x] Custom Model Training
    
    - [x] Priority Support
    
    - [x] Pay-Per-Use Pricing

    - [x] Enterprise Telemetry Platform

    - [x] Regular Check-In Strategy Sessions

## Feature Comparison

| Feature | Free | Premium | Enterprise |
|---------|------|---------|------------|
| Sign up Bonus | ✅ | ✅ | ✅ |
| Basic Access | ✅ | ✅ | ✅ |
| Pay-Per-Use Pricing | ✅ | ✅ | ✅ |
| Community Support | ✅ | ✅ | ✅ |
| Standard Processing Speed | ✅ | ✅ | ✅ |
| Full Access to Explorer and Agents | ❌ | ✅ | ✅ |
| Premium Multi-Modality Models | ❌ | ✅ | ✅ |
| Priority Access to Swarms | ❌ | ✅ | ✅ |
| High-Performance GPUs | ❌ | ✅ | ✅ |
| Exclusive Webinars and Tutorials | ❌ | ✅ | ✅ |
| Priority Support | ❌ | ✅ | ✅ |
| Enhanced Security Features | ❌ | ✅ | ✅ |
| Early Access to New Models | ❌ | ✅ | ✅ |
| Batch API | ❌ | ❌ | ✅ |
| Dedicated 24/7 Support | ❌ | ❌ | ✅ |
| Custom Solutions Engineering | ❌ | ❌ | ✅ |
| Onsite Training and Onboarding | ❌ | ❌ | ✅ |
| Custom Model Training | ❌ | ❌ | ✅ |

## Rate Limits

!!! info "Rate Limit Increases"
    - **Premium**: 100% increase in rate limits
    - **Enterprise**: Custom rate limits based on your needs (contact us for details)

## Getting Started

1. Choose your plan
2. Create your account
3. Start building with Swarms!

!!! success "Need Help?"
    - For general questions: [Contact Support](mailto:kye@swarms.world)
    - For enterprise inquiries: [Book a Call](https://cal.com/swarms)
    - Upgrade Your Membership: [Upgrade Now](https://swarms.world/platform/account)
